package com.bocloud.cmp.model.hmc.pcm;

public class PhysicalPort {
    private Long id;
    private String physicalLocation;
    private Double receivedPackets;
    private Double sentPackets;
    private Double droppedPackets;
    private Double droppedSentPackets;
    private Double droppedReceivedPackets;
    private Double sentBytes;
    private Double receivedBytes;
    private Double errorIn;
    private Double errorOut;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPhysicalLocation() {
        return physicalLocation;
    }

    public void setPhysicalLocation(String physicalLocation) {
        this.physicalLocation = physicalLocation;
    }

    public Double getReceivedPackets() {
        return receivedPackets;
    }

    public void setReceivedPackets(Double receivedPackets) {
        this.receivedPackets = receivedPackets;
    }

    public Double getSentPackets() {
        return sentPackets;
    }

    public void setSentPackets(Double sentPackets) {
        this.sentPackets = sentPackets;
    }

    public Double getDroppedSentPackets() {
        return droppedSentPackets;
    }

    public void setDroppedSentPackets(Double droppedSentPackets) {
        this.droppedSentPackets = droppedSentPackets;
    }

    public Double getDroppedReceivedPackets() {
        return droppedReceivedPackets;
    }

    public void setDroppedReceivedPackets(Double droppedReceivedPackets) {
        this.droppedReceivedPackets = droppedReceivedPackets;
    }

    public Double getSentBytes() {
        return sentBytes;
    }

    public void setSentBytes(Double sentBytes) {
        this.sentBytes = sentBytes;
    }

    public Double getReceivedBytes() {
        return receivedBytes;
    }

    public void setReceivedBytes(Double receivedBytes) {
        this.receivedBytes = receivedBytes;
    }

    public Double getErrorIn() {
        return errorIn;
    }

    public void setErrorIn(Double errorIn) {
        this.errorIn = errorIn;
    }

    public Double getErrorOut() {
        return errorOut;
    }

    public void setErrorOut(Double errorOut) {
        this.errorOut = errorOut;
    }

    public Double getDroppedPackets() {
        return droppedPackets;
    }

    public void setDroppedPackets(Double droppedPackets) {
        this.droppedPackets = droppedPackets;
    }
}
